Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.changepoll
Class EPPChangeCaseId

    java.lang.Object
      com.verisign.epp.codec.changepoll.EPPChangeCaseId

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPChangeCaseId

extends java.lang.Object
implements EPPCodecComponent

Change Case Identifier that includes both the identifier as well as the case type.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` Constant for the phase local name
`static java.lang.String` | `ELM_NAME` Constant for the phase qualified name (prefix and local name)
`static java.lang.String` | `TYPE_CUSTOM` A custom case that is defined using the "name" attribute.
`static java.lang.String` | `TYPE_UDRP` A Uniform Domain-Name Dispute-Resolution Policy (UDRP) case.
`static java.lang.String` | `TYPE_URS` A Uniform Rapid Suspension (URS) case.

Constructor Summary
`EPPChangeCaseId()` Default constructor.
`EPPChangeCaseId(java.lang.String aIdentifier, java.lang.String aType)` Create `EPPChangeCaseId` instance with the required identifier and type attributes.
`EPPChangeCaseId(java.lang.String aIdentifier, java.lang.String aType, java.lang.String aName)` Create `EPPChangeCaseId` instance all of the attributes including the identifier, type, and custom type name.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPChangeCaseId` instance.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPChangeCaseId` element aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPChangeCaseId` instance.
`boolean` | `equals(java.lang.Object aObject)` Implements a deep `EPPChangeCaseId` compare.
`java.lang.String` | `getIdentifier()` Gets the case identifier value.
`java.lang.String` | `getName()` Gets the name of the case type, which is used when the type is set to the `TYPE_CUSTOM` value.
`java.lang.String` | `getType()` Gets the case type.
`boolean` | `hasName()` Is the name defined?
`void` | `setName(java.lang.String aName)` Sets the name of the case type, which is used when the type is set to the `TYPE_CUSTOM` value.
`void` | `setType(java.lang.String aType)` Sets the case type.
`void` | `setValue(java.lang.String aIdentifier)` Sets the case identifier value.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_UDRP

    public static final java.lang.String TYPE_UDRP

  A Uniform Domain-Name Dispute-Resolution Policy (UDRP) case.

  See Also:
    Constant Field Values

### TYPE_URS

    public static final java.lang.String TYPE_URS

  A Uniform Rapid Suspension (URS) case.

  See Also:
    Constant Field Values

### TYPE_CUSTOM

    public static final java.lang.String TYPE_CUSTOM

  A custom case that is defined using the "name" attribute.

  See Also:
    Constant Field Values

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the phase local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the phase qualified name (prefix and local name)

  See Also:
    Constant Field Values

Constructor Detail

### EPPChangeCaseId

    public EPPChangeCaseId()

  Default constructor. The identifier value MUST be set using the `setValue(String)` method and the type MUST be set using the `setType(String)`.

### EPPChangeCaseId

    public EPPChangeCaseId(java.lang.String aIdentifier,
                           java.lang.String aType)

  Create `EPPChangeCaseId` instance with the required identifier and type attributes.

  Parameters:
    `aIdentifier` - Case identifier value.
    `aType` - Case type using one of the `TYPE` constants.

### EPPChangeCaseId

    public EPPChangeCaseId(java.lang.String aIdentifier,
                           java.lang.String aType,
                           java.lang.String aName)

  Create `EPPChangeCaseId` instance all of the attributes including the identifier, type, and custom type name.

  Parameters:
    `aIdentifier` - Case identifier value.
    `aType` - Case type using one of the `TYPE` constants.
    `aName` - Name of the type when `aType` is set with the `TYPE_CUSTOM` value.

Method Detail

### getIdentifier

    public java.lang.String getIdentifier()

  Gets the case identifier value.

  Returns:
    Case identifier value if defined; `null` otherwise.

### setValue

    public void setValue(java.lang.String aIdentifier)

  Sets the case identifier value.

  Parameters:
    `aIdentifier` - Case identifier

### getType

    public java.lang.String getType()

  Gets the case type. The case type should use one of the `TYPE` constant values.

  Returns:
    Case type if defined; `null` otherwise.

### setType

    public void setType(java.lang.String aType)

  Sets the case type. The case type should use one of the `TYPE` constant values.

  Parameters:
    `aType` - One of the `TYPE` constant values.

### hasName

    public boolean hasName()

  Is the name defined?

  Returns:
    `true` if the name is defined; `false` otherwise.

### getName

    public java.lang.String getName()

  Gets the name of the case type, which is used when the type is set to the `TYPE_CUSTOM` value.

  Returns:
    The type name if defined; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the name of the case type, which is used when the type is set to the `TYPE_CUSTOM` value.

  Parameters:
    `aName` - The custom type name.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPChangeCaseId` instance.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPChangeCaseId`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPChangeCaseId` element aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - - Root DOM Element to decode `EPPChangeCaseId` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPChangeCaseId` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element - Root DOM Element representing the `EPPChangeCaseId` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPChangeCaseId` instance.

### equals

    public boolean equals(java.lang.Object aObject)

  Implements a deep `EPPChangeCaseId` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPChangeCaseId` instance to compare with
  Returns:
    `true` if equal; `false` otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.